Portainer Stack:
```yaml
---
version: "3.9"
services:
  vscode:
    image: lscr.io/linuxserver/code-server:${TAG-latest}
    container_name: vscode
    environment:
      - PUID=${PUID-1000}
      - PGID=${PGID-1000}
      - TZ=${TZ-Europe/Amsterdam}
      - SUDO_PASSWORD=
      - PASSWORD=
      - PROXY_DOMAIN=
      - DEFAULT_WORKSPACE=/config/workspace
      - DOCKER_MODS=linuxserver/mods:code-server-docker
    volumes:
      - /vscode:/config
      - /home/user:/config/workspace/space1
      - /var/run/docker.sock:/var/run/docker.sock
    ports:
      - 8443:8443
    restart: ${RST-unless-stopped}
    labels:
      - com.centurylinklabs.watchtower.enable=${AutoUpdate-true}
```

Environments:
```
TAG=latest
RST=unless-stopped
NET=bridge
PUID=${PUID-1000}
PGID=${PGID-1000}
TZ=${TZ-Europe/Amsterdam}
AutoUpdate=true
```