Portainer Stack:
```yaml
---
version: "3.9"
services:
  ethercalc:
    container_name: ethercalc
    image: audreyt/ethercalc
    restart: unless-stopped
    network_mode: ${NET-bridge}
    ports:
      - 8700:8000
    environment:
      - REDIS_PORT_6379_TCP_ADDR=ethercalc-redis
      - REDIS_PORT_6379_TCP_PORT=6379
    links:
      - ethercalc-redis:redis
    labels:
      - com.centurylinklabs.watchtower.enable=true

  ethercalc-redis:
    container_name: ethercalc-redis
    image: redis:${TAG-latest}
    restart: unless-stopped
    network_mode: ${NET-bridge}
    command: redis-server --appendonly yes
    volumes:
      - /docker/redis:/data
    labels:
      - com.centurylinklabs.watchtower.enable=true
```