Portainer Stack:
```yaml
---
version: "3.9"
services:
  heimdall:
    image: lscr.io/linuxserver/heimdall:${TAG-latest}
    container_name: heimdall
    network_mode: ${NET-bridge}
    environment:
      - PUID=${PUID-1000}
      - PGID=${PGID-1000}
      - TZ=${TZ-Europe/Amsterdam}
    volumes:
      - ${Dir_Heimdall}:/config
    ports:
      - 33443:443
    restart: ${RST-unless-stopped}
    labels:
      - com.centurylinklabs.watchtower.enable=${AutoUpdate-true}
```

Environments:
```
TAG=latest
RST=unless-stopped
NET=bridge
PUID=${PUID-1000}
PGID=${PGID-1000}
TZ=${TZ-Europe/Amsterdam}
AutoUpdate=true

HOME_FOLDER=/home/username/
CONTAINER_NAME=Heimdall
Dir_Heimdall=${HOME_FOLDER}${CONTAINER_NAME}
```