Portainer Stack:
```yaml
---
version: "3.9"
services:
  onlyoffice-documentserver:
    image: onlyoffice/documentserver:${TAG-latest}
    container_name: onlyoffice-documentserver
    depends_on:
      - onlyoffice-postgresql
      - onlyoffice-rabbitmq
    environment:
      - DB_TYPE=postgres
      - DB_HOST=onlyoffice-postgresql
      - DB_PORT=5432
      - DB_NAME=
      - DB_USER=
      - AMQP_URI=amqp://guest:guest@onlyoffice-rabbitmq
      - JWT_ENABLED=true
      - JWT_SECRET=superstrongpassword
      - JWT_HEADER=Authorization
      - JWT_IN_BODY=true
    ports:
      - 49155:80
      - 49154:443
    stdin_open: true
    restart: unless-stopped
    stop_grace_period: 60s
    volumes:
       - /docker/onlyoffice/www:/var/www/onlyoffice/Data
       - /docker/onlyoffice/log:/var/log/onlyoffice
       - /docker/onlyoffice/app_data:/var/lib/onlyoffice/documentserver/App_Data/cache/files
       - /docker/onlyoffice/public:/var/www/onlyoffice/documentserver-example/public/files
       - /docker/onlyoffice/fonts:/usr/share/fonts
    labels:
      - com.centurylinklabs.watchtower.enable=true

  onlyoffice-rabbitmq:
    container_name: onlyoffice-rabbitmq
    image: rabbitmq
    restart: unless-stopped
    ports:
      - 49153:5672
    labels:
      - com.centurylinklabs.watchtower.enable=true

  onlyoffice-postgresql:
    container_name: onlyoffice-postgresql
    image: postgres:${TAG-latest}
    environment:
      - POSTGRES_DB=
      - POSTGRES_USER=
      - POSTGRES_HOST_AUTH_METHOD=trust
    restart: unless-stopped
    volumes:
      - /docker/docs/onlyoffice/db:/var/lib/postgresql
    labels:
      - com.centurylinklabs.watchtower.enable=true
```
