Portainer Stack:
```yaml
version: "3.9"
services:
  qbittorrent:
    image: linuxserver/qbittorrent:${TAG-latest}
    container_name: qbittorrent
    network_mode: ${NET-bridge}
    volumes:
      - /qbittorrent:/config
      - /downloads:/downloads
    ports:
      - "8080:8080"
      - "6881:6881"
      - "6881:6881/udp"
    restart: ${RST-always}
    environment:
      - PUID=${PUID-1000}
      - PGID=${PGID-1000}
      - TZ=${TZ-Europe/Amsterdam}
      - UMASK=022
      - WEBUI_PORT=8080
    labels:
      - com.centurylinklabs.watchtower.enable=${AutoUpdate-true}
```

Environments:
```
TAG=latest
RST=unless-stopped
NET=bridge
PUID=${PUID-1000}
PGID=${PGID-1000}
TZ=${TZ-Europe/Amsterdam}
AutoUpdate=true
```