
Replace `{folder_to_share}`, `{USERNAME}`, `{PASSWORD}` with your choice.
eg: 
```
    volumes:
      - /home/user:/share
```
eg:
```
    command: '-u "1000:1000:user:user:crap_pass" -s "HomeLAB:/share:rw:user"'
```

Portainer Stack:
```yaml
---
version: "3.9"
services:
  samba:
    image: elswork/samba:${TAG-latest}
    container_name: samba
    hostname: samba
    network_mode: ${NET-bridge}
    restart: ${RST-unless-stopped}
    environment:
      - TZ=${TZ-Europe/Amsterdam}
    volumes:
      - {folder_to_share}:/share
    ports:
      - 445:445
    labels:
      - com.centurylinklabs.watchtower.enable=${AutoUpdate-false}
    command: '-u "1000:1000:{USERNAME}:{USERNAME}:{PASSWORD}" -s "HomeLAB:/share:rw:{USERNAME}"'
```

Environments:
```
TAG=latest
RST=unless-stopped
NET=bridge
PUID=${PUID-1000}
PGID=${PGID-1000}
TZ=${TZ-Europe/Amsterdam}
AutoUpdate=true
```