Portainer Stack:
```yaml
---
version: "3.9"
services:
  tvheadend:
    image: lscr.io/linuxserver/tvheadend:${TAG-latest}
    container_name: tvheadend
    network_mode: ${NET-bridge}
    environment:
      - PUID=${PUID=1000}
      - PGID=${PGID=1000}
      - TZ=${TZ-Europe/Amsterdam}
    volumes:
      - ${DOCKER_FOLDER}/tvheadend/config:/config
      - ${DOCKER_FOLDER}/tvheadend/recordings:/recordings
    ports:
      - 9981:9981
      - 9982:9982
    restart: unless-stopped
    labels:
      - com.centurylinklabs.watchtower.enable=${AutoUpdate-true}
```

Environments:
```
NET=bridge
TAG=latest
PUID=1000
PGID=1000
PORT=4040
TZ=${TZ-Europe/Amsterdam}
AutoUpdate=true
DOCKER_FOLDER=
```